exercise_04_29: exercise_04_29.o | .gitignore
	g++ $^ -o $@ 

exercise_04_29.ii: exercise_04_29.cpp
	g++ -E $^ -o $@

exercise_04_29.s: exercise_04_29.ii
	g++ -S $^ -o $@

exercise_04_29.o: exercise_04_29.s
	g++ -c $^ -o $@

.gitignore:
	echo "exercise_04_29" > $@

clean:
	rm -rf *.ii *.s *.o *.out exercise_04_29 .gitignore 

test: exercise_04_29 
	./exercise_04_29 > test.out

.PRECIOUS: exercise_04_29.ii exercise_04_29.s
.SECONDARY: exercise_04_29.ii exercise_04_29.s

